# Get a specific employee profile and balance

Endpoint: GET /employees/{employee_id}
Version: 1.0.0
Security: ApiKeyAuth

## Path parameters:

  - `employee_id` (integer, required)

## Query parameters:

  - `org_wallet_ref` (string, required)

## Response 200 fields (application/json):

  - `id` (string)

  - `name` (string)

  - `phone` (string)

  - `team_code` (string)

  - `organization_email` (string)

  - `role` (string)

  - `accno` (string)
    employee wallet accno

  - `balance` (number)
    account balance

  - `status` (string)
    Enum: "ACTIVE", "SUSPENDED"

  - `createdAt` (string)

## Response 401 fields (application/json):

  - `errorMessage` (string)
    Example: Unauthorized

## Response 404 fields (application/json):

  - `errorMessage` (string)
    Example: Resource not found

